Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0012151
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajoralways2010-02-05 09:572010-03-10 18:29
ReporternetworkbView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in Version2.50MP12
StatusclosedFix in branchpiFixed in SCM revision0351e487ab58
ProjectionnoneETAnoneTarget Version2.50MP12
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP10SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0012151: The module window allow to insert n prefixs for one module

DescriptionThe module window allow to insert n prefixs por one module.
This can cause problems when updating the module, or
when exporting the module.
For example it only allows you to create a column in an existing table
using one prefix and not any prefix defined.
Steps To Reproduce-Go to module window.
-Create a module and check it "in development"
-Go to dbprefix tab
-Insert a prefix
-Save an insert other prefix
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0023987)
networkb (developer)
2010-02-05 10:51

The documentation also in incorrect regarding the number of prefix:

http://wiki.openbravo.com/wiki/ERP/2.50/Developers_Guide/How_To_Create_and_Package_a_Module#Creating_a_Module [^]
(0024389)
hgbot (developer)
2010-02-16 10:49

Repository: erp/devel/pi
Changeset: b867d45fa39e1893034e80c5093b104848212172
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 16 10:49:58 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b867d45fa39e1893034e80c5093b104848212172 [^]

Fixed issue 12151. Added a trigger to check that no modules have more than one dbprefix

---
A src-db/database/model/triggers/AD_MODULE_DBPREFIX_UNIQUE_TRG.xml
---
(0024408)
alostale (developer)
2010-02-16 13:53

It is not working:
-It compares the number of dbprefixes and modules, if there're modules without dbprefix, other module can have multiple dbprefixes.
-Raised error is not correct.
(0024411)
hgbot (developer)
2010-02-16 14:15

Repository: erp/devel/pi
Changeset: a9e232e6d222bbce823bf468ba8eac2e4bad7501
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 16 14:05:57 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a9e232e6d222bbce823bf468ba8eac2e4bad7501 [^]

Fixed issue 12151. Fixed potential issue with modules without dbprefix, and added ad_message.

---
M src-db/database/model/triggers/AD_MODULE_DBPREFIX_UNIQUE_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0024417)
hgbot (developer)
2010-02-16 15:43

Repository: erp/devel/pi
Changeset: 0351e487ab585e1244873eea91bf7abad5facc7a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Feb 16 15:44:14 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0351e487ab585e1244873eea91bf7abad5facc7a [^]

fixed bug 12151: Fixed trigger

---
M src-db/database/model/triggers/AD_MODULE_DBPREFIX_UNIQUE_TRG.xml
---
(0024529)
hudsonbot (developer)
2010-02-18 00:30

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/b867d45fa39e [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7c1b489fb0a0 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16459.obx [^]
(0024537)
hudsonbot (developer)
2010-02-18 00:31

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/a9e232e6d222 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7c1b489fb0a0 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16459.obx [^]
(0024542)
hudsonbot (developer)
2010-02-18 00:31

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/0351e487ab58 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7c1b489fb0a0 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.16459.obx [^]

- Issue History
Date Modified Username Field Change
2010-02-05 09:57 networkb New Issue
2010-02-05 09:57 networkb Assigned To => alostale
2010-02-05 09:59 networkb Summary The module window allow to insert n prefixs por one module => The module window allow to insert n prefixs for one module
2010-02-05 10:51 networkb Note Added: 0023987
2010-02-08 10:52 alostale Assigned To alostale => marvintm
2010-02-08 10:53 alostale Status new => scheduled
2010-02-08 10:53 alostale fix_in_branch => pi
2010-02-16 10:49 hgbot Checkin
2010-02-16 10:49 hgbot Note Added: 0024389
2010-02-16 10:49 hgbot Status scheduled => resolved
2010-02-16 10:49 hgbot Resolution open => fixed
2010-02-16 10:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b867d45fa39e1893034e80c5093b104848212172 [^]
2010-02-16 13:53 alostale Note Added: 0024408
2010-02-16 13:53 alostale Status resolved => new
2010-02-16 13:53 alostale Resolution fixed => open
2010-02-16 14:15 hgbot Checkin
2010-02-16 14:15 hgbot Note Added: 0024411
2010-02-16 14:15 hgbot Status new => resolved
2010-02-16 14:15 hgbot Resolution open => fixed
2010-02-16 14:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b867d45fa39e1893034e80c5093b104848212172 [^] => http://code.openbravo.com/erp/devel/pi/rev/a9e232e6d222bbce823bf468ba8eac2e4bad7501 [^]
2010-02-16 15:43 hgbot Checkin
2010-02-16 15:43 hgbot Note Added: 0024417
2010-02-16 15:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a9e232e6d222bbce823bf468ba8eac2e4bad7501 [^] => http://code.openbravo.com/erp/devel/pi/rev/0351e487ab585e1244873eea91bf7abad5facc7a [^]
2010-02-16 15:44 alostale Status resolved => closed
2010-02-16 15:44 alostale Fixed in Version => 2.50MP12
2010-02-17 00:01 anonymous sf_bug_id 0 =>
2010-02-18 00:30 hudsonbot Checkin
2010-02-18 00:30 hudsonbot Note Added: 0024529
2010-02-18 00:31 hudsonbot Checkin
2010-02-18 00:31 hudsonbot Note Added: 0024537
2010-02-18 00:31 hudsonbot Checkin
2010-02-18 00:31 hudsonbot Note Added: 0024542
2010-03-10 18:29 anonymous sf_bug_id => 2968016


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker